OpenCV: Element-wise weighted sum

| OpenCV 3.4.2 Open Source Computer Vision

Functions
Element-wise weighted sum
Core functionality » Hardware Acceleration Layer » Interface

## Functions
int | hal_ni_addWeighted16s (const short *src1_data, size_t src1_step, const short *src2_data, size_t src2_step, short *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted16u (const ushort *src1_data, size_t src1_step, const ushort *src2_data, size_t src2_step, ushort *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted32f (const float *src1_data, size_t src1_step, const float *src2_data, size_t src2_step, float *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted32s (const int *src1_data, size_t src1_step, const int *src2_data, size_t src2_step, int *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted64f (const double *src1_data, size_t src1_step, const double *src2_data, size_t src2_step, double *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted8s (const schar *src1_data, size_t src1_step, const schar *src2_data, size_t src2_step, schar *dst_data, size_t dst_step, int width, int height, const double scalars[3])
int | hal_ni_addWeighted8u (const uchar *src1_data, size_t src1_step, const uchar *src2_data, size_t src2_step, uchar *dst_data, size_t dst_step, int width, int height, const double scalars[3])

## Detailed Description

Computes weighted sum of two arrays using formula: dst[i] = a * src1[i] + b * src2[i] + c

Parameters

  src1_data,src1_step | first source image data and step
  src2_data,src2_step | second source image data and step
  dst_data,dst_step | destination image data and step
  width,height | dimensions of the images
  scalars | numbers a, b, and c

## Function Documentation

## ◆ hal_ni_addWeighted16s()

int hal_ni_addWeighted16s | ( | const short * | src1_data,
|  | size_t | src1_step,
|  | const short * | src2_data,
|  | size_t | src2_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted16u()

int hal_ni_addWeighted16u | ( | const ushort * | src1_data,
|  | size_t | src1_step,
|  | const ushort * | src2_data,
|  | size_t | src2_step,
|  | ushort * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted32f()

int hal_ni_addWeighted32f | ( | const float * | src1_data,
|  | size_t | src1_step,
|  | const float * | src2_data,
|  | size_t | src2_step,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted32s()

int hal_ni_addWeighted32s | ( | const int * | src1_data,
|  | size_t | src1_step,
|  | const int * | src2_data,
|  | size_t | src2_step,
|  | int * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted64f()

int hal_ni_addWeighted64f | ( | const double * | src1_data,
|  | size_t | src1_step,
|  | const double * | src2_data,
|  | size_t | src2_step,
|  | double * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted8s()

int hal_ni_addWeighted8s | ( | const schar * | src1_data,
|  | size_t | src1_step,
|  | const schar * | src2_data,
|  | size_t | src2_step,
|  | schar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline

## ◆ hal_ni_addWeighted8u()

int hal_ni_addWeighted8u | ( | const uchar * | src1_data,
|  | size_t | src1_step,
|  | const uchar * | src2_data,
|  | size_t | src2_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | const double | scalars[3]
| ) |  |
| inline